<?php
$filename = '/folderpath/LastTemp.txt';
$time = 3600 ; //seconds 

if( ! file_exists( $filename ) ) 
{ 
  echo "$filename file does not exist" ; 
} 
else 
{ 
  if( time() - filemtime( $filename ) <= $time ) 
  { 
    echo "$Filename file last changed under 10 mins ago" ; 
    echo "$filename was last modified: " . date ("F d Y H:i:s.", filemtime($filename));
  } 
  else 
  { 
    echo "$filename file last changed more than 10 mins ago\n" ; 
    echo "$filename was last modified: " . date ("F d Y H:i:s.", filemtime($filename));
    
    function last_modified($page_url, $offset = 0) 
    { 
      $filetime = strtotime('+' . $offset . ' hours', filemtime($page_url)); 
      $modified_date = date("F j Y g:i A", $filetime); 
      return $modified_date; 
    }

    $houroffset = -7; 
    $modified_date = last_modified($filename, $houroffset);
  
    $LastTemp = file_get_contents($filename, true);

    // the message
    $msg = "Please be advised that a possible electrical or Internet outage has been detected at your site.\n
    
    The last update on the file $filename was on $modified_date\n\n
   
    The last reported temperature data inside the file is: $LastTemp ";

    // use wordwrap() if lines are longer than 70 characters
    #$msg = wordwrap($msg,70);

    // send email
    mail("youremail@domain.com","WARNING: Possible Power or Internet Outage Detected",$msg);
  } 
}  
?>